CASINH(3)

NAME
casinh, casinhf - complex arc hyperbolic sine

SYNOPSIS

#include <complex.h>

double complex casinh(double complex z);

float complex casinhf(float complex z);

DESCRIPTION

These functions compute the complex arc hyperbolic sine of z, with branch cuts outside the interval [-i, +i] along the imaginary axis.

casinhf is identical to casinh, except that it performs its calculations on floats complex.

RETURNS

These functions return the complex arc hyperbolic sine value, in the range of a strip mathematically unbounded along the real axis and in the interval [-i*p/2, +i*p/2] along the imaginary axis.

PORTABILITY

casinh and casinhf are ISO C99